package com.agilex.healthcare.schedulingmanager.datalayer.appointment;


import com.agilex.healthcare.schedulingmanager.domain.SMAppointmentRequestInProcess;

public interface AppointmentRequestInProcessDataLayer {
	
	public SMAppointmentRequestInProcess fetchAppointmentRequestInProcessByAppointmentRequestId(String appointmentRequestId);
	
	public SMAppointmentRequestInProcess saveAppointmentRequestInProcess(SMAppointmentRequestInProcess SMAppointmentRequestInProcess);
	
	public void deleteAppointmentRequestInProcessById(String appointmentRequestId);

	public void deleteAppointmentRequestInProcessByUserId(String userId);
}
